Index: trunk/MagicSoft/Mars/mraw/MRawCrateArray.cc
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawCrateArray.cc	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawCrateArray.cc	(revision 1004)
@@ -51,6 +51,6 @@
 MRawCrateArray::MRawCrateArray(const char *name, const char *title)
 {
-    *fName  = name  ? name  : "MRawCrateArray";
-    *fTitle = title ? title : "Array of MRawCrateData Information";
+    fName  = name  ? name  : "MRawCrateArray";
+    fTitle = title ? title : "Array of MRawCrateData Information";
 
     //
Index: trunk/MagicSoft/Mars/mraw/MRawCrateData.h
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawCrateData.h	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawCrateData.h	(revision 1004)
@@ -4,7 +4,4 @@
 #ifndef MAGIC_H
 #include "MAGIC.h"
-#endif
-#ifndef ROOT_TObject
-#include <TObject.h>
 #endif
 
@@ -21,22 +18,7 @@
     MRawCrateData();
 
-    ~MRawCrateData()
-    {
-    }
-
-    UChar_t GetDAQCrateNumber() const
-    {
-        return fDAQCrateNumber;
-    }
-
-    UInt_t  GetFADCEvtNumber() const
-    {
-        return fFADCEvtNumber;
-    }
-
-    UInt_t  GetFADCClockTick() const
-    {
-        return fFADCClockTick;
-    }
+    UChar_t GetDAQCrateNumber() const  { return fDAQCrateNumber; }
+    UInt_t  GetFADCEvtNumber() const   { return fFADCEvtNumber;  }
+    UInt_t  GetFADCClockTick() const   { return fFADCClockTick;  }
 
     void Print(Option_t *t=NULL) const;
Index: trunk/MagicSoft/Mars/mraw/MRawEvtData.cc
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawEvtData.cc	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawEvtData.cc	(revision 1004)
@@ -71,6 +71,6 @@
 MRawEvtData::MRawEvtData(const char *name, const char *title)
 {
-    *fName  = name  ? name  : "MRawEvtData";
-    *fTitle = title ? title : "Raw Event Data Information";
+    fName  = name  ? name  : "MRawEvtData";
+    fTitle = title ? title : "Raw Event Data Information";
 
     InitArrays();
@@ -241,6 +241,6 @@
 
         TGraph *graph = new TGraph(n, x, y);
-        graph->SetMaximum (256) ;
-        graph->SetMinimum (0) ;
+        graph->SetMaximum(256);
+        graph->SetMinimum(0);
 
         graph->SetBit(kCanDelete);
Index: trunk/MagicSoft/Mars/mraw/MRawEvtHeader.cc
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawEvtHeader.cc	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawEvtHeader.cc	(revision 1004)
@@ -111,6 +111,6 @@
 MRawEvtHeader::MRawEvtHeader(const char *name, const char *title)
 {
-    *fName  = name  ? name  : "MRawEvtHeader";
-    *fTitle = title ? title : "Raw Event Header Information";
+    fName  = name  ? name  : "MRawEvtHeader";
+    fTitle = title ? title : "Raw Event Header Information";
 
     //
Index: trunk/MagicSoft/Mars/mraw/MRawEvtHeader.h
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawEvtHeader.h	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawEvtHeader.h	(revision 1004)
@@ -12,5 +12,5 @@
 
 //
-// Trigger Typed (TT)
+// Trigger Type (TT)
 //
 enum {
Index: trunk/MagicSoft/Mars/mraw/MRawFileRead.cc
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawFileRead.cc	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawFileRead.cc	(revision 1004)
@@ -91,6 +91,6 @@
 MRawFileRead::MRawFileRead(const char *fname, const char *name, const char *title)
 {
-    *fName  = name  ? name  : "MRawFileRead";
-    *fTitle = title ? title : "Read task to read DAQ binary files";
+    fName  = name  ? name  : "MRawFileRead";
+    fTitle = title ? title : "Read task to read DAQ binary files";
 
     //
Index: trunk/MagicSoft/Mars/mraw/MRawFileWrite.cc
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawFileWrite.cc	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawFileWrite.cc	(revision 1004)
@@ -65,6 +65,6 @@
                              const char *name, const char *title)
 {
-    *fName  = name  ? name  : "MRawFileWrite";
-    *fTitle = title ? title : "Write task to write DAQ root files";
+    fName  = name  ? name  : "MRawFileWrite";
+    fTitle = title ? title : "Write task to write DAQ root files";
 
     //
@@ -159,5 +159,5 @@
     //
     TTree   *rh = new TTree("RunHeaders", "Run headers of all runs in this file");
-    TBranch *tb = rh->Branch("MRawRunHeader", "MRawRunHeader", &fRawRunHeader, 32000, 1);
+    TBranch *tb = rh->Branch("MRawRunHeader", "MRawRunHeader", &fRawRunHeader, 32000);
     rh->Fill();
     rh->Write();
@@ -175,17 +175,17 @@
     // create all branches which are necessary
     //
-    fTData       ->Branch("MTime",          "MTime",          &fRawEvtTime,    32000, 1);
-    fTPedestal   ->Branch("MTime",          "MTime",          &fRawEvtTime,    32000, 1);
-    fTCalibration->Branch("MTime",          "MTime",          &fRawEvtTime,    32000, 1);
-    fTData       ->Branch("MRawEvtHeader",  "MRawEvtHeader",  &fRawEvtHeader,  32000, 1);
-    fTPedestal   ->Branch("MRawEvtHeader",  "MRawEvtHeader",  &fRawEvtHeader,  32000, 1);
-    fTCalibration->Branch("MRawEvtHeader",  "MRawEvtHeader",  &fRawEvtHeader,  32000, 1);
-    fTData       ->Branch("MRawEvtData",    "MRawEvtData",    &fRawEvtData,    32000, 1);
-    fTPedestal   ->Branch("MRawEvtData",    "MRawEvtData",    &fRawEvtData,    320000, 1);
-    fTCalibration->Branch("MRawEvtData",    "MRawEvtData",    &fRawEvtData,    320000, 1);
+    fTData       ->Branch("MTime.",          "MTime",          &fRawEvtTime,    32000);
+    fTPedestal   ->Branch("MTime.",          "MTime",          &fRawEvtTime,    32000);
+    fTCalibration->Branch("MTime.",          "MTime",          &fRawEvtTime,    32000);
+    fTData       ->Branch("MRawEvtHeader.",  "MRawEvtHeader",  &fRawEvtHeader,  32000);
+    fTPedestal   ->Branch("MRawEvtHeader.",  "MRawEvtHeader",  &fRawEvtHeader,  32000);
+    fTCalibration->Branch("MRawEvtHeader.",  "MRawEvtHeader",  &fRawEvtHeader,  32000);
+    fTData       ->Branch("MRawEvtData.",    "MRawEvtData",    &fRawEvtData,    32000);
+    fTPedestal   ->Branch("MRawEvtData.",    "MRawEvtData",    &fRawEvtData,    320000);
+    fTCalibration->Branch("MRawEvtData.",    "MRawEvtData",    &fRawEvtData,    320000);
     //fTree->Branch("MRawCrateArray",  fRawCrateArray->GetArray(),      32000, 1);
-    fTData       ->Branch("MRawCrateArray", "MRawCrateArray", &fRawCrateArray, 32000, 1);
-    fTPedestal   ->Branch("MRawCrateArray", "MRawCrateArray", &fRawCrateArray, 32000, 1);
-    fTCalibration->Branch("MRawCrateArray", "MRawCrateArray", &fRawCrateArray, 32000, 1);
+    fTData       ->Branch("MRawCrateArray.", "MRawCrateArray", &fRawCrateArray, 32000);
+    fTPedestal   ->Branch("MRawCrateArray.", "MRawCrateArray", &fRawCrateArray, 32000);
+    fTCalibration->Branch("MRawCrateArray.", "MRawCrateArray", &fRawCrateArray, 32000);
 
     return kTRUE;
Index: trunk/MagicSoft/Mars/mraw/MRawFileWrite.h
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawFileWrite.h	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawFileWrite.h	(revision 1004)
@@ -19,11 +19,11 @@
 {
 private:
-    MParList *pParList;             
+    MParList *pParList;
 
-    MTime          *fRawEvtTime;    
-    MRawRunHeader  *fRawRunHeader;  
-    MRawEvtHeader  *fRawEvtHeader;  
-    MRawEvtData    *fRawEvtData;    
-    MRawCrateArray *fRawCrateArray; 
+    MTime          *fRawEvtTime;
+    MRawRunHeader  *fRawRunHeader;
+    MRawEvtHeader  *fRawEvtHeader;
+    MRawEvtData    *fRawEvtData;
+    MRawCrateArray *fRawCrateArray;
 
     TTree *fTData;                  //!
Index: trunk/MagicSoft/Mars/mraw/MRawRunHeader.cc
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawRunHeader.cc	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawRunHeader.cc	(revision 1004)
@@ -48,11 +48,8 @@
 MRawRunHeader::MRawRunHeader(const char *name, const char *title) : fPixAssignment(NULL)
 {
-    *fName  = name  ? name  : "MRawRunHeader";
-    *fTitle = title ? title : "Raw Run Header Information";
+    fName  = name  ? name  : "MRawRunHeader";
+    fTitle = title ? title : "Raw Run Header Information";
 
     fPixAssignment = new MArrayS(0);
-
-    // This is only valid for root > 3.0
-    // IsA()->CanIgnoreTObjectStreamer();
 }
 
@@ -132,14 +129,14 @@
     switch (fRunType)
     {
-    case 0:
+    case kRTData:
         *fLog << "Data";
         break;
-    case 1:
+    case kRTPedestal:
         *fLog << "Pedestal";
         break;
-    case 2:
+    case kRTCalibration:
         *fLog << "Calibration";
         break;
-    case 256:
+    case kRTMonteCarlo:
         *fLog << "Monte Carlo Data";
         break;
Index: trunk/MagicSoft/Mars/mraw/MRawRunHeader.h
===================================================================
--- trunk/MagicSoft/Mars/mraw/MRawRunHeader.h	(revision 988)
+++ trunk/MagicSoft/Mars/mraw/MRawRunHeader.h	(revision 1004)
@@ -19,4 +19,11 @@
 //
 const UShort_t kMagicNumber = 0xc0c0;
+
+enum {
+    kRTData        = 0,
+    kRTPedestal    = 1,
+    kRTCalibration = 2,
+    kRTMonteCarlo  = 256
+};
 
 class MRawRunHeader : public MParContainer
@@ -50,33 +57,36 @@
     ~MRawRunHeader();
 
-    void SetMagicNumber(UShort_t a){fMagicNumber=a;}
-    void SetFormatVersion(UShort_t a){fFormatVersion=a;}    
-    void SetSoftVersion(UShort_t a){fSoftVersion=a;}
-    void SetRunType(UShort_t a){ fRunType=a;}
-    void SetRunNumber(UInt_t a){fRunNumber=a;}
+    void SetMagicNumber(UShort_t a)  { fMagicNumber=a; }
+    void SetFormatVersion(UShort_t a){ fFormatVersion=a; }
+    void SetSoftVersion(UShort_t a)  { fSoftVersion=a; }
+    void SetRunType(UShort_t a)      { fRunType=a; }
+    void SetRunNumber(UInt_t a)      { fRunNumber=a; }
+    void SetNumEvents(UInt_t a)      { fNumEvents=a; }
     void SetNumSamples(UShort_t low, UShort_t high)
-      {fNumSamplesLoGain=low;fNumSamplesHiGain=high;}
-    void SetNumEvents(UInt_t a){fNumEvents=a;}
+    {
+        fNumSamplesLoGain=low;
+        fNumSamplesHiGain=high;
+    }
 
-    UShort_t GetMagicNumber() const      { return fMagicNumber; }
-    UShort_t GetFormatversion() const    { return fFormatVersion; }
-    UShort_t GetSoftVersion() const      { return fSoftVersion; }
-    UShort_t GetRunType() const          { return fRunType; }
-    UInt_t   GetRunNumber() const        { return fRunNumber; }
-    const Char_t  *GetProjectName() const      { return fProjectName; }
-    const Char_t  *GetSourceName() const       { return fSourceName; }
+    UShort_t GetMagicNumber() const       { return fMagicNumber; }
+    UShort_t GetFormatversion() const     { return fFormatVersion; }
+    UShort_t GetSoftVersion() const       { return fSoftVersion; }
+    UShort_t GetRunType() const           { return fRunType; }
+    UInt_t   GetRunNumber() const         { return fRunNumber; }
+    const Char_t  *GetProjectName() const { return fProjectName; }
+    const Char_t  *GetSourceName() const  { return fSourceName; }
     //Float_t  GetSourceRa() const         { return fSourceRA; }
     //Float_t  GetSourceDec() const        { return fSourceDEC; }
     const Char_t  *GetSourceEpocheChar() const { return fSourceEpochChar; }
-    UShort_t GetSourceEpocheDate() const { return fSourceEpochDate; }
-    Float_t  GetMJD() const              { return fMJD; }
-    UShort_t GetDateYear() const         { return fDateYear; }
-    Byte_t   GetDateMonth() const        { return fDateMonth; }
-    Byte_t   GetDateDay() const          { return fDateDay; }
-    UShort_t GetNumCrates() const        { return fNumCrates; }
-    UShort_t GetNumPixInCrate() const    { return fNumPixInCrate; }
-    UShort_t GetNumSamplesLoGain() const { return fNumSamplesLoGain; }
-    UShort_t GetNumSamplesHiGain() const { return fNumSamplesHiGain; }
-    UShort_t GetNumEvents() const        { return fNumEvents; }
+    UShort_t GetSourceEpocheDate() const  { return fSourceEpochDate; }
+    Float_t  GetMJD() const               { return fMJD; }
+    UShort_t GetDateYear() const          { return fDateYear; }
+    Byte_t   GetDateMonth() const         { return fDateMonth; }
+    Byte_t   GetDateDay() const           { return fDateDay; }
+    UShort_t GetNumCrates() const         { return fNumCrates; }
+    UShort_t GetNumPixInCrate() const     { return fNumPixInCrate; }
+    UShort_t GetNumSamplesLoGain() const  { return fNumSamplesLoGain; }
+    UShort_t GetNumSamplesHiGain() const  { return fNumSamplesHiGain; }
+    UShort_t GetNumEvents() const         { return fNumEvents; }
     UShort_t GetPixAssignment(UShort_t i) const;
 
